> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/diagnostic/clear-arp/{deviceId}

> Clear arp entries

## OpenAPI

````json PUT /v1/diagnostic/clear-arp/{deviceId}
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/diagnostic/clear-arp/{deviceId}": {
      "put": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "deviceId",
            "in": "path",
            "required": true,
            "description": "Unique identifier for a specific device",
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            },
            "example": 1000000
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v1DiagnosticClearArpDeviceIdPutRequest"
              }
            }
          }
        },
        "responses": {
          "204": {
            "description": "No Content"
          }
        },
        "description": "Clear arp entries"
      }
    }
  },
  "components": {
    "schemas": {
      "v1DiagnosticClearArpDeviceIdPutRequest": {
        "type": "object",
        "properties": {
          "entry": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/diagnosticToolsArpEntry"
            }
          }
        },
        "additionalProperties": false
      },
      "diagnosticToolsArpEntry": {
        "type": "object",
        "properties": {
          "address": {
            "$ref": "#/components/schemas/diagnosticToolsArpEntryAddress"
          },
          "allEntry": {
            "type": "boolean",
            "example": true,
            "description": "All IPv4 addresses"
          },
          "interfaceName": {
            "type": "string",
            "example": "GigabitEthernet0/2",
            "description": "Interface Name"
          }
        },
        "additionalProperties": false
      },
      "diagnosticToolsArpEntryAddress": {
        "type": "object",
        "properties": {
          "address": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "1.1.1.1",
              "description": "IPv4 addresses"
            }
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

